[IPython-dev] Dropping 2.4 support

Fernando Perez fperez.net@gmail....
Tue Aug 25 20:03:23 CDT 2009


On Tue, Aug 25, 2009 at 1:05 PM, David Warde-Farley<Dwf@cs.toronto.edu> wrote:

> Fernando, Brian, Gael and I had a conversation a few nights ago in
> person and for the sake of documenting it I promised I'd recount it
> here.
>
> Basically, since Red Hat isn't shipping recent versions of IPython or
> any of the scientific toolstack it becomes increasingly unlikely that
> people are using the stock distribution Python but are building the
> whole stack from source but are unwilling to build a new Python as
> well. Freezing 0.10 as a stable endpoint for 2.4 users is likely a
> more than reasonable compromise.

Thanks David for the recap, it was great seeing you at the conference.

We have in fact an example of the  above at Berkeley, where CentOS
machines get a manually built full python  stack, because everything
in the stock system is just too old to do anything with.

In reality, my main concern now is to find the least-painful way
possible for matplotlib and ETS to sync with our changes, but we
should be able to provide code for them (the examples in our docs
already do much of this) to update the core parts where  they do GUI
operations to be compatible with ipython, whether a pre- or post- 0.10
version is installed.

Cheers,

f


More information about the IPython-dev mailing list